Subject: bug#66610: Acknowledgement (potrace, po4a; guix bug, complete console output)

From: Olav Smorholm <[email-masked]>
Date: Mon, 23 Oct 2023 20:13:27 +0200

On Mon, Oct 23, 2023 at 07:42:02PM +0200, Olav Smorholm wrote:
> On Mon, Oct 23, 2023 at 07:03:40PM +0200, Olav Smorholm wrote:
> > On Mon, Oct 23, 2023 at 06:48:26PM +0200, Olav Smorholm wrote:
> > > On Sat, Oct 21, 2023 at 08:52:13PM +0200, Olav Smorholm wrote:
> > > >
> > > 
> > > And call it, or view is it as you may; no trivial task to determine if
> > > the guix binary bug and crash was useful or not.
> > > 
> > > But in the process, while for other things after; starting to study
> > > dmesg. Bluez and related things that awaken bluetooth kernel subsystems
> > > is less of an aesthetic problem.
> > > 
> > > I react somewhat on PF_ALG especially, weird segfault that calls itself
> > > xsltproc, and that there even exist segfaults and protection faults as
> > > if checking for a kernel that is newer than minix era is
> > > necessary. As false positives and negatives for intent to hide even the
> > > oldest and most deprecated "hello world" crud.
> > 
> > I'm sure interesting talks can be had:
> > 
> > [73428.629504] ptrace attach of "/tmp/guix-build-libinput-minimal-1.22.1.drv-0/build/libinput-test-suite --filter-group=touchpad --xml-output=junit-touchpad-XXXXXX.xml"[417] was attempted by "/tmp/guix-build-libinput-minimal-1.22.1.drv-0/build/libinput-test-suite --filter-group=touchpad --xml-output=junit-touchpad-XXXXXX.xml"[419]
> > [73428.640092] ptrace attach of "/tmp/guix-build-libinput-minimal-1.22.1.drv-0/build/libinput-test-suite --filter-group=touchpad-tap --xml-output=junit-touchpad-tap-XXXXXX.xml"[420] was attempted by "/tmp/guix-build-libinput-minimal-1.22.1.drv-0/build/libinput-test-suite --filter-group=touchpad-tap --xml-output=junit-touchpad-tap-XXXXXX.xml"[422]
> > [75861.720983] traps: bonobo-activati[4394] trap int3 ip:7ffff7bf39cf sp:7fffffffbd80 error:0 in libglib-2.0.so.0.7200.3[7ffff7bb7000+88000]
> > [77216.387681] Bluetooth: Core ver 2.22
> > [77216.387730] NET: Registered PF_BLUETOOTH protocol family
> > [77216.387732] Bluetooth: HCI device and connection manager initialized
> > [77216.387739] Bluetooth: HCI socket layer initialized
> > [77216.387742] Bluetooth: L2CAP socket layer initialized
> > [77216.387748] Bluetooth: SCO socket layer initialized
> > [77917.396492] python[11571]: segfault at 0 ip 00007ffff75198c0 sp 00007fffffffb2c8 error 4 in _testcapi.so[7ffff7519000+6000] likely on CPU 10 (core 4, socket 0)
> > [77917.396513] Code: 00 48 83 00 01 c3 0f 1f 40 00 48 89 d0 48 85 d2 74 08 48 83 00 01 c3 0f 1f 00 48 8b 05 11 a7 00 00 48 83 00 01 c3 0f 1f 40 00 <8b> 04 25 00 00 00 00 0f 0b 0f 1f 80 00 00 00 00 48 83 ec 08 48 8b
> > [77971.483788] python[19206]: segfault at 0 ip 00007ffff75198c0 sp 00007fffffffb2c8 error 4 in _testcapi.so[7ffff7519000+6000] likely on CPU 10 (core 4, socket 0)
> > 
> 
> Not sure if I have point, it's an argument at least.
> That the guix binary is a bit of target for the classical problems
> involved. And who knowns, maybe one can find a K&R "hello world" string
> in a binary as the best and worst of it.
> 
> But this is inherently ugly, to see the measures and crud involved, with
> awareness of developers that it touch upon sensitive subsystems.
> And may very well make it more accessible for study, publications and
> discussions if just shafted and most likely fale positives with academic
> print og preprint review.
> 

[148083.517777] Code: Unable to access opcode bytes at 0xffffffffffffffd6.
[148083.518475] test_regression[21751]: segfault at 0 ip 0000000000000000 sp 00007fffffffb998 error 14 in test_regression[400000+11000] likely on CPU 11 (core 5, socket 0)
[148083.518484] Code: Unable to access opcode bytes at 0xffffffffffffffd6.
[148083.519137] test_regression[21752]: segfault at 0 ip 0000000000000000 sp 00007fffffffb998 error 14 in test_regression[400000+11000] likely on CPU 11 (core 5, socket 0)

224051.720066] traps: recentmanager[889] trap int3 ip:7ffff7ee5787 sp:7fffffff5a40 error:0 in libglib-2.0.so.0.7200.3[7ffff7ea7000+88000]

[224450.718378] i915 0000:83:00.0: [drm] *ERROR* Atomic update failure on pipe B (start=174286 end=174287) time 130 us, min 1073, max 1079, scanline start 1071, end 1072
[243753.929744] i915 0000:83:00.0: [drm] *ERROR* Atomic update failure on pipe B (start=1332500 end=1332501) time 155 us, min 1073, max 1079, scanline start 1072, end 1073

The latter of which is icecat i believe.

I at the very least understanding things like CPU pipelines and vector
machines and how they differ. Which can be stated in short terms as
modern CPU's are vector machines inherently. You translate your
instructions into simpler operations that can run faster in the central
logic, or you a fast internal part with several units that translate
onto it and are willing to brute force a soltion if need be.